import React from 'react';
import PortalProviderAPI from "./PortalProviderApi.js";
import { PortalProviderProps } from "./types.js";
export default class PortalProvider extends React.Component<PortalProviderProps> {
    static displayName: string;
    portalProviderAPI: PortalProviderAPI;
    constructor(props: PortalProviderProps);
    componentDidUpdate(): void;
    render(): JSX.Element | React.ReactChild;
}
